Skip to main content
GET
/
conversations
Error
A valid request URL is required to generate request examples
{
  "limit": 20,
  "has_more": false,
  "data": [
    {
      "id": "45701982-8118-4bc5-8e9b-64562b4555f2",
      "name": "iPhone Specs Chat",
      "inputs": {
        "city": "San Francisco"
      },
      "status": "normal",
      "introduction": "Welcome! How can I help you today?",
      "created_at": 1705407629,
      "updated_at": 1705411229
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dify.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences.

Query Parameters

user
string

User identifier.

last_id
string

The ID of the last record on the current page (for pagination).

limit
integer
default:20

Number of records to return.

Required range: 1 <= x <= 100
sort_by
enum<string>
default:-updated_at

Sorting field. Use '-' prefix for descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at

Response

Successfully retrieved conversations list.

limit
integer

Number of items per page.

has_more
boolean

Whether there are more conversations.

data
object[]

List of conversations.